- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7215663c-a36f-4c21-8b41-699c12780413
    creation_time: 2023-02-17T12:09:59.339985Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2*a+1 && s ==  ( a+1 ) * ( a+1 )  && t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 02acd2a0-3788-4aca-9869-03d926e0b277
    creation_time: 2023-02-17T12:09:59.340362Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9c14e9c2-965b-4430-9b6b-61adf8a749ed
    creation_time: 2023-02-17T12:09:59.340501Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e9ebb479-20b5-4d91-8a7e-ea978e00a08c
    creation_time: 2023-02-17T12:09:59.340602Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: abdfa5ea-b511-4ca9-8bb4-fdba16752a71
    creation_time: 2023-02-17T12:09:59.340688Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d662c40d-5107-4627-a593-4d3982f5f10e
    creation_time: 2023-02-17T12:09:59.340794Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7d7b0a70-bf36-4224-8fd6-c4c8af2c5446
    creation_time: 2023-02-17T12:09:59.340875Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

